#!/usr/bin/python

# Phil Cranmer 2021
# https://stuffandnonsense.elephantandchicken.co.uk

import random
from itertools import count
import pandas as pd
import matplotlib.pyplot as plt
from matplotlib.animation import FuncAnimation
import controlit as ci
#import time

plt.style.use('fivethirtyeight')

ci.initialize()

#x_vals = [0,1,2,3,4,5]
#y_vals = [0,1,3,2,3,5]

x_vals = []
y_vals = []

index = count()

#plt.plot(x_vals, y_vals)

def animate(i):
	global x_vals
	global y_vals
	x_vals.append(next(index))
	#y_vals.append(random.randint(0, 5))
	y_vals.append(float(ci.get_analogue_data( 0 )))
	if len(y_vals)>100:
		x_vals = x_vals[-100:]
		y_vals = y_vals[-100:]
	plt.cla()
	plt.plot(x_vals, y_vals)

ani = FuncAnimation(plt.gcf(), animate, interval=200)

plt.tight_layout()
plt.show()

